Name:           mfile
Version:        20080309
Release:        1.1
License:        Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       tk
Group:          Development/Tools/Other
Summary:        A Makefile generator for AVR-GCC
BuildArch:      noarch
Source:         %{name}.tar.gz
Source2:        %{name}

%description
Motivation for Mfile

When starting to develop with microcontrollers, one is faced with two different
things to learn:

  * The controller itself, its IO registers, hardware setup, everything that is
    written in the datasheet.

  * The development environment, its library reference, compiler usage,
    specific issues of the toolchain used.

Author
------
        Joerg Wunsch <j.gnu@uriah.heep.sax.de>

%prep
%setup -n %{name}

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mfile
install -m 0644 * $RPM_BUILD_ROOT/%{_datadir}/mfile
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 %{S:2} $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README
%{_datadir}/mfile
%{_bindir}/mfile

%changelog
* Sun Mar  9 2008 bwalle@suse.de
- initial SUSE package
